Api referenceProjects
Create project
Create a persistent editor project.
editorState is required.
Idempotency-Key is optional.
This endpoint requires eligible OpenAPI resource access.
Authorization
BearerAuth AuthorizationBearer <token>
Send an existing generated API key as Authorization: Bearer sk_indream_....
OAuth access tokens are not accepted by the Open API.
Enter the API key manually in the interactive docs playground.
The value is stored only in the current browser and is not injected from server environment variables.
In: header
Header Parameters
Idempotency-Key?string
Optional idempotency key for project creation and export creation requests. When provided, the server replays the first completed response for the same request payload.
Request Body
application/json
title?string
Length
length <= 120description?|
Length
length <= 500editorState*
stateSchemaVersion*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.indream.ai/v1/projects" \ -H "Content-Type: application/json" \ -d '{ "title": "Product launch draft", "description": "First video project", "stateSchemaVersion": "v1", "editorState": { "stateSchemaVersion": "v1", "timebaseTicksPerSecond": 240000, "compositionWidth": 1920, "compositionHeight": 1080, "outputRatio": "16:9", "globalBackground": { "type": "none" }, "brandRuntime": null, "tracks": [ { "id": "main", "items": [], "hidden": false, "muted": false } ], "assets": {}, "items": {}, "transitions": {}, "deletedAssets": [] } }'{
"data": {
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"title": "string",
"description": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
},
"meta": {}
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}{
"type": "FORBIDDEN",
"title": "Forbidden",
"status": 403,
"detail": "The current account is not eligible for this Open API route",
"errorCode": "OPEN_API_RUNTIME_ACCESS_FORBIDDEN"
}